import PropTypes from 'prop-types';
import { BASE_CLASS_ADDON_WRAPPER, ADDON_TYPES, getClassName } from './config';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var InputAddon = function InputAddon(_ref) {
  var leftAddon = _ref.leftAddon,
      rightAddon = _ref.rightAddon,
      children = _ref.children;

  if (!(leftAddon || rightAddon)) {
    return children;
  }

  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS_ADDON_WRAPPER,
    children: [leftAddon && /*#__PURE__*/_jsx("span", {
      className: getClassName({
        type: ADDON_TYPES.LEFT
      }),
      children: leftAddon
    }), children, rightAddon && /*#__PURE__*/_jsx("span", {
      className: getClassName({
        type: ADDON_TYPES.RIGHT
      }),
      children: rightAddon
    })]
  });
};

export default InputAddon;